| Elektra 0.11.0

Macros | Functions
doc.h File Reference
`#include <kdbplugin.h>`

## Macros
#define | ELEKTRA_SET_ERROR(number, key, text)
| Sets the error in the keys metadata.
#define | ELEKTRA_SET_ERRORF(number, key, formatstring, ...)
| Sets the error in the keys metadata.
#define | ELEKTRA_ADD_WARNINGF(number, key, formatstring, ...)
| Adds a warning in the keys metadata.
#define | ELEKTRA_ADD_WARNING(number, key, text)
| Adds a warning in the keys metadata.
#define | ELEKTRA_SET_ERROR_GET(parentKey)
| Set error in kdbGet() when opening the file failed.
#define | ELEKTRA_SET_ERROR_SET(parentKey)
| Set error in kdbSet() when opening the file failed.

## Functions
int | elektraDocOpen (Plugin *handle, Key *warningsKey)
| Initialize data for the plugin.
int | elektraDocClose (Plugin *handle, Key *warningsKey)
| Finalize the plugin.
int | elektraDocGet (Plugin *handle, KeySet *returned, Key *parentKey)
| Get data from storage to application.
int | elektraDocSet (Plugin *handle, KeySet *returned, Key *parentKey)
| Set data from application to storage.
int | elektraDocCommit (Plugin *handle, KeySet *returned, Key *parentKey)
| Make changes to storage final.
int | elektraDocError (Plugin *handle, KeySet *returned, Key *parentKey)
| Rollback in case of errors.
int | elektraDocCheckConf (Key *errorKey, KeySet *conf)
| Validate plugin configuration at mount time.

## Detailed Description

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)